{
  python3Packages,
  fetchPypi,
}:
python3Packages.buildPythonPackage rec {
  pname = "cz-conventional-gitmoji";
  version = "0.6.1";

  src = fetchPypi {
    inherit version;
    pname = "cz_conventional_gitmoji";
    hash = "sha256-P9SzVfqaH/wxGSES8YB6tsMyAyBMAPOKVMgGQ6L0B7g";
  };

  build-system = with python3Packages; [
    hatchling
  ];

  dependencies = with python3Packages; [
    commitizen
    attrs
  ];

  meta = {
    description = "A commitizen plugin that combines gitmoji and conventional commits.";
    homepage = "https://github.com/ljnsn/cz-conventional-gitmoji";
    mainProgram = "cz_gitmoji";
  };
}
